/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.model;

/**
 * Representation of a stock entry.
 * @author BEAUVAIS ANTOINE
 */
public class Stock {
    
    private final int id;
    
    private final int itemId;
    
    private final String itemName;
    
    private final int quantity;
    
    public Stock(int id, int itemId, String itemName, int quantity)
    {
        this.id = id;
        this.itemId = itemId;
        this.itemName = itemName;
        this.quantity = quantity;
    }
    
    public int getId()
    {
        return this.id;
    }
    
    public int getItemId()
    {
        return this.itemId;
    }
    
    public String getItemName()
    {
        return this.itemName;
    }
    
    public int getQuantity()
    {
        return this.quantity;
    }
}
